Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface LayoutManager

All Known Subinterfaces:
  LayoutManager2

All Known Implementing Classes:
  BasicComboBoxUI.ComboBoxLayoutManager, BasicInternalFrameTitlePane.TitlePaneLayout, BasicInternalFrameUI.InternalFrameLayout, BasicOptionPaneUI.ButtonAreaLayout, BasicScrollBarUI, BasicSplitPaneDivider.DividerLayout, BasicSplitPaneUI.BasicHorizontalLayoutManager, BasicTabbedPaneUI.TabbedPaneLayout, BorderLayout, BoxLayout, CardLayout, FlowLayout, GridBagLayout, GridLayout, JRootPane.RootLayout, JSpinner.DefaultEditor, OverlayLayout, ScrollPaneLayout, SpringLayout, ViewportLayout

public interface LayoutManager

Defines the interface for classes that know how to lay out `Container`s.

See Also:
  `Container`

Method Summary
`void` | `addLayoutComponent(String name, Component comp)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
`void` | `layoutContainer(Container parent)` Lays out the specified container.
`Dimension` | `minimumLayoutSize(Container parent)` Calculates the minimum size dimensions for the specified container, given the components it contains.
`Dimension` | `preferredLayoutSize(Container parent)` Calculates the preferred size dimensions for the specified container, given the components it contains.
`void` | `removeLayoutComponent(Component comp)` Removes the specified component from the layout.

Method Detail

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.

  Parameters:
    `name` - the string to be associated with the component
    `comp` - the component to be added

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.

  Parameters:
    `comp` - the component to be removed

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Calculates the preferred size dimensions for the specified container, given the components it contains.

  Parameters:
    `parent` - the container to be laid out
  See Also:
    `minimumLayoutSize(java.awt.Container)`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Calculates the minimum size dimensions for the specified container, given the components it contains.

  Parameters:
    `parent` - the component to be laid out
  See Also:
    `preferredLayoutSize(java.awt.Container)`

### layoutContainer

    public void layoutContainer(Container parent)

  Lays out the specified container.

  Parameters:
    `parent` - the container to be laid out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.